org.optaplanner.core.impl.score.stream.bavet.bi

## Class BavetGroupBiNode<GroupKey_,ResultContainer_,Result_>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetAbstractBiNode<GroupKey_,Result_>
    - - org.optaplanner.core.impl.score.stream.bavet.bi.BavetGroupBiNode<GroupKey_,ResultContainer_,Result_>

- All Implemented Interfaces:
    BavetNode

      public final class BavetGroupBiNode<GroupKey_,ResultContainer_,Result_>
      extends BavetAbstractBiNode<GroupKey_,Result_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetGroupBiNode(BavetConstraintSession session, int nodeOrder, Function<ResultContainer_,Result_> finisher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildNode(BavetAbstractBiNode<GroupKey_,Result_> childNode)`
    `BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_>` | `createTuple(BavetAbstractBiTuple<GroupKey_,Result_> parentTuple)`
    `BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_>` | `createTuple(GroupKey_ groupKey, ResultContainer_ resultContainer)`
    `void` | `refresh(BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> tuple)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetGroupBiNode

          public BavetGroupBiNode(BavetConstraintSession session,
                                  int nodeOrder,
                                  Function<ResultContainer_,Result_> finisher)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode(BavetAbstractBiNode<GroupKey_,Result_> childNode)

      Overrides:
        `addChildNode` in class `BavetAbstractBiNode<GroupKey_,Result_>`

    - #### createTuple

          public BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> createTuple(BavetAbstractBiTuple<GroupKey_,Result_> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractBiNode<GroupKey_,Result_>`

    - #### createTuple

          public BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> createTuple(GroupKey_ groupKey,
                                                                                   ResultContainer_ resultContainer)

    - #### refresh

          public void refresh(BavetGroupBiTuple<GroupKey_,ResultContainer_,Result_> tuple)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.